Subject: JMP> PWG> Formal PWG process for assigning PWG enterprise numbers

From: Harry Lewis <[email-masked]>
Date: Mon, 10 Nov 1997 11:42:42 -0500

Tried to send Friday... don't see in archives, so must have been mail problem.
Again, sorry I exclude this from the minutes... but, below, is an overview of
the Boulder discussion...

Harry Lewis - IBM Printing Systems

------- Forwarded by Harry Lewis/Boulder/IBM on 11/10/97 09:31 AM ------

Harry Lewis
11/07/97 11:13 PM
To: [email-masked]@internet
cc: [email-masked]@internet, [email-masked]@internet
From: Harry Lewis/Boulder/IBM @ IBMUS
Subject: PWG> Formal PWG process for assigning PWG enterprise numbers

Jay, sorry if mixing notes with OIDs in the minutes was confusing.
Unfortunately, my minutes, this month, are a fairly raw form of
discussion captured from the meeting.

>I'm a bit confused by your posted text, thinking that part of it
>may be a typo.  (That is, the comments seem a bit strange.)

You go on to say...

>Notwithstanding, if I read you correctly, you're suggesting that the
>Job Monitoring MIB assume the ".1" position under the PWG tree.  I
>tend to agree with this approach, that a particular project would be
>assigned a top-level number in the tree, assuming OID assignments are
>required by the project.  (That is, just because a PWG project exists
>doesn't mean that a top-level OID is assigned to it; instead, only
>if the project *requires* such OIDs would the assignment be made.)

I should have included, in the minutes, that we discussed two alternatives.
I proposed a structured registry under the PWG enterprise OID based
(simply) on PWG projects.

PRIVATE
  ENTERPRISE
    PWG
      JMP
        JOBMIB
          JMGROUP1
          JMGROUP2
          (etc)
        (ETC)
      FIN
        FINMIB
          FNGROUP1
          FNGROUP2
          (etc)
        (ETC)
      (etc)

There didn't seem to be much favor over a flat registration of whatever
comes along.

PRIVATE
  ENTERPRISE
    PWG
      JOBMIB
        JMGROUP1
        JMGROUP2
         (etc)
      FINMIB
        FNGROUP1
        FNGROUP2
        (etc)
      (ETC)

(Note, it is not yet decided whether the Finisher MIB will stand alone
or extend the Printer MIB, so FIN may have been a bad example).

I suppose the topic is still open to e-mail discussion, if appropriate.

Harry Lewis

---

From: Jay Martin <[email-masked]>
Date: Mon, 10 Nov 1997 11:44:38 -0500

Hmmm... I'm not so sure that it's best to subdivide the OID space
based on the project *group* name.  Rather, an OID subtree should
be assigned to the specific *standard* being developed.

Do you really think there is value in having a tree level for the
specific group (for example, "JMP" or "FIN")?  Seems like a waste
of a tree level to me.

Comments from others?

	...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------

---

From: Ron Bergman <[email-masked]>
Date: Mon, 10 Nov 1997 08:50:04 -0800 (Pacific Standard Time)

Jay,

> be assigned to the specific *standard* being developed.
The above was also the consensus of the group in Boulder and is the
current plan, unless a better solution is suggested.

	Ron Bergman

---

From: Jay Martin <[email-masked]>
Date: Mon, 10 Nov 1997 11:44:38 -0500

Comments from others?

	...jay

---

From: Ron Bergman <[email-masked]>
Date: Mon, 10 Nov 1997 08:50:04 -0800 (Pacific Standard Time)

Jay,

	Ron Bergman